com.mysql.cj

## Class Constants

- java.lang.Object
- - com.mysql.cj.Constants

    public class Constants
    extends Object

Represents various constants used in the driver.

### Field Summary

Fields
`static BigDecimal` `BIG_DECIMAL_MAX_BYTE_VALUE`
`static BigDecimal` `BIG_DECIMAL_MAX_DOUBLE_VALUE`
`static BigDecimal` `BIG_DECIMAL_MAX_FLOAT_VALUE`
`static BigDecimal` `BIG_DECIMAL_MAX_INTEGER_VALUE`
`static BigDecimal` `BIG_DECIMAL_MAX_LONG_VALUE`
`static BigDecimal` `BIG_DECIMAL_MAX_NEGATIVE_DOUBLE_VALUE`
`static BigDecimal` `BIG_DECIMAL_MAX_NEGATIVE_FLOAT_VALUE`
`static BigDecimal` `BIG_DECIMAL_MAX_SHORT_VALUE`
`static BigDecimal` `BIG_DECIMAL_MIN_BYTE_VALUE`
`static BigDecimal` `BIG_DECIMAL_MIN_INTEGER_VALUE`
`static BigDecimal` `BIG_DECIMAL_MIN_LONG_VALUE`
`static BigDecimal` `BIG_DECIMAL_MIN_SHORT_VALUE`
`static BigDecimal` `BIG_DECIMAL_NEGATIVE_ONE`
`static BigDecimal` `BIG_DECIMAL_ONE`
`static BigDecimal` `BIG_DECIMAL_ZERO`
`static BigInteger` `BIG_INTEGER_MAX_BYTE_VALUE`
`static BigInteger` `BIG_INTEGER_MAX_INTEGER_VALUE`
`static BigInteger` `BIG_INTEGER_MAX_LONG_VALUE`
`static BigInteger` `BIG_INTEGER_MAX_SHORT_VALUE`
`static BigInteger` `BIG_INTEGER_MIN_BYTE_VALUE`
`static BigInteger` `BIG_INTEGER_MIN_INTEGER_VALUE`
`static BigInteger` `BIG_INTEGER_MIN_LONG_VALUE`
`static BigInteger` `BIG_INTEGER_MIN_SHORT_VALUE`
`static BigInteger` `BIG_INTEGER_NEGATIVE_ONE`
`static BigInteger` `BIG_INTEGER_ONE`
`static BigInteger` `BIG_INTEGER_ZERO`
`static String` `CJ_FULL_NAME`
`static String` `CJ_LICENSE`
`static String` `CJ_MAJOR_VERSION`
`static String` `CJ_MINOR_VERSION`
`static String` `CJ_NAME`
`static String` `CJ_REVISION`
`static String` `CJ_VERSION`
`static byte[]` `EMPTY_BYTE_ARRAY` Avoids allocation of empty byte[] when representing 0-length strings.
`static String` `JVM_VENDOR`
`static String` `JVM_VERSION`
`static String` `MILLIS_I18N` I18N'd representation of the abbreviation for "ms"
`static String` `OS_ARCH`
`static String` `OS_NAME`
`static String` `OS_VERSION`
`static byte[]` `SLASH_STAR_SPACE_AS_BYTES`
`static byte[]` `SPACE_STAR_SLASH_SPACE_AS_BYTES`
`static int` `UNSIGNED_BYTE_MAX_VALUE`

### Constructor Summary

Constructors
`private` `Constants()` Prevents instantiation

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EMPTY_BYTE_ARRAY

    public static final byte[] EMPTY_BYTE_ARRAY

Avoids allocation of empty byte[] when representing 0-length strings.

#### MILLIS_I18N

    public static final String MILLIS_I18N

I18N'd representation of the abbreviation for "ms"

#### SLASH_STAR_SPACE_AS_BYTES

    public static final byte[] SLASH_STAR_SPACE_AS_BYTES

#### SPACE_STAR_SLASH_SPACE_AS_BYTES

    public static final byte[] SPACE_STAR_SLASH_SPACE_AS_BYTES

#### JVM_VENDOR

    public static final String JVM_VENDOR

#### JVM_VERSION

    public static final String JVM_VERSION

#### OS_NAME

    public static final String OS_NAME

#### OS_ARCH

    public static final String OS_ARCH

#### OS_VERSION

    public static final String OS_VERSION

#### CJ_NAME

    public static final String CJ_NAME

See Also:
  Constant Field Values

#### CJ_FULL_NAME

    public static final String CJ_FULL_NAME

See Also:
  Constant Field Values

#### CJ_REVISION

    public static final String CJ_REVISION

See Also:
  Constant Field Values

#### CJ_VERSION

    public static final String CJ_VERSION

See Also:
  Constant Field Values

#### CJ_MAJOR_VERSION

    public static final String CJ_MAJOR_VERSION

See Also:
  Constant Field Values

#### CJ_MINOR_VERSION

    public static final String CJ_MINOR_VERSION

See Also:
  Constant Field Values

#### CJ_LICENSE

    public static final String CJ_LICENSE

See Also:
  Constant Field Values

#### BIG_INTEGER_ZERO

    public static final BigInteger BIG_INTEGER_ZERO

#### BIG_INTEGER_ONE

    public static final BigInteger BIG_INTEGER_ONE

#### BIG_INTEGER_NEGATIVE_ONE

    public static final BigInteger BIG_INTEGER_NEGATIVE_ONE

#### BIG_INTEGER_MIN_BYTE_VALUE

    public static final BigInteger BIG_INTEGER_MIN_BYTE_VALUE

#### BIG_INTEGER_MAX_BYTE_VALUE

    public static final BigInteger BIG_INTEGER_MAX_BYTE_VALUE

#### BIG_INTEGER_MIN_SHORT_VALUE

    public static final BigInteger BIG_INTEGER_MIN_SHORT_VALUE

#### BIG_INTEGER_MAX_SHORT_VALUE

    public static final BigInteger BIG_INTEGER_MAX_SHORT_VALUE

#### BIG_INTEGER_MIN_INTEGER_VALUE

    public static final BigInteger BIG_INTEGER_MIN_INTEGER_VALUE

#### BIG_INTEGER_MAX_INTEGER_VALUE

    public static final BigInteger BIG_INTEGER_MAX_INTEGER_VALUE

#### BIG_INTEGER_MIN_LONG_VALUE

    public static final BigInteger BIG_INTEGER_MIN_LONG_VALUE

#### BIG_INTEGER_MAX_LONG_VALUE

    public static final BigInteger BIG_INTEGER_MAX_LONG_VALUE

#### BIG_DECIMAL_ZERO

    public static final BigDecimal BIG_DECIMAL_ZERO

#### BIG_DECIMAL_ONE

    public static final BigDecimal BIG_DECIMAL_ONE

#### BIG_DECIMAL_NEGATIVE_ONE

    public static final BigDecimal BIG_DECIMAL_NEGATIVE_ONE

#### BIG_DECIMAL_MIN_BYTE_VALUE

    public static final BigDecimal BIG_DECIMAL_MIN_BYTE_VALUE

#### BIG_DECIMAL_MAX_BYTE_VALUE

    public static final BigDecimal BIG_DECIMAL_MAX_BYTE_VALUE

#### BIG_DECIMAL_MIN_SHORT_VALUE

    public static final BigDecimal BIG_DECIMAL_MIN_SHORT_VALUE

#### BIG_DECIMAL_MAX_SHORT_VALUE

    public static final BigDecimal BIG_DECIMAL_MAX_SHORT_VALUE

#### BIG_DECIMAL_MIN_INTEGER_VALUE

    public static final BigDecimal BIG_DECIMAL_MIN_INTEGER_VALUE

#### BIG_DECIMAL_MAX_INTEGER_VALUE

    public static final BigDecimal BIG_DECIMAL_MAX_INTEGER_VALUE

#### BIG_DECIMAL_MIN_LONG_VALUE

    public static final BigDecimal BIG_DECIMAL_MIN_LONG_VALUE

#### BIG_DECIMAL_MAX_LONG_VALUE

    public static final BigDecimal BIG_DECIMAL_MAX_LONG_VALUE

#### BIG_DECIMAL_MAX_DOUBLE_VALUE

    public static final BigDecimal BIG_DECIMAL_MAX_DOUBLE_VALUE

#### BIG_DECIMAL_MAX_NEGATIVE_DOUBLE_VALUE

    public static final BigDecimal BIG_DECIMAL_MAX_NEGATIVE_DOUBLE_VALUE

#### BIG_DECIMAL_MAX_FLOAT_VALUE

    public static final BigDecimal BIG_DECIMAL_MAX_FLOAT_VALUE

#### BIG_DECIMAL_MAX_NEGATIVE_FLOAT_VALUE

    public static final BigDecimal BIG_DECIMAL_MAX_NEGATIVE_FLOAT_VALUE

#### UNSIGNED_BYTE_MAX_VALUE

    public static final int UNSIGNED_BYTE_MAX_VALUE

See Also:
  Constant Field Values

### Constructor Detail

#### Constants

    private Constants()

Prevents instantiation

Copyright © 2016, 2025, Oracle and/or its affiliates.